package onthestage.es.onthestage.model;

import org.apache.http.client.HttpClient;
import org.apache.http.impl.client.DefaultHttpClient;

import java.util.Date;
import java.util.List;

/*
        Autor: Carlos Tarazona Tárrega.
        Licencia: Copyright 2018. Se permite el estudio y modificación del fichero citando las fuentes
*/
public class Usuario implements User{
    private int id; // Primary Key
    private String email; // Unico
    private String nombre;
    private String apellidos;
    private String m_pass;
    private Date fnac; //Fecha nacimiento
    private String foto;
    private Boolean registrado;
    private Boolean premium;
    private Boolean activado;

    public Usuario(int id, String email, String nombre, String apellidos, String m_pass, Date fnac, String foto, Boolean registrado, Boolean premium, Boolean activado) {
        this.id = id;
        this.email = email;
        this.nombre = nombre;
        this.apellidos = apellidos;
        this.m_pass = m_pass;
        this.fnac = fnac;
        this.foto = foto;
        this.registrado = registrado;
        this.premium = premium;
        this.activado = activado;
    }


    public Usuario(){

    }

    @Override
    public void getEvents(List<FiltroContent.Filtro> filtros) {

    }


    @Override
    public void getUserInfo() {
        HttpClient httpClient = new DefaultHttpClient();

    }

    @Override
    public void signIn() {

    }

    @Override
    public void signUp() {

    }

    @Override
    public void modifyData() {

    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public String getApellidos() {
        return apellidos;
    }

    public void setApellidos(String apellidos) {
        this.apellidos = apellidos;
    }

    public String getM_pass() {
        return m_pass;
    }

    public void setM_pass(String m_pass) {
        this.m_pass = m_pass;
    }

    public Date getFnac() {
        return fnac;
    }

    public void setFnac(Date fnac) {
        this.fnac = fnac;
    }

    public String getFoto() {
        return foto;
    }

    public void setFoto(String foto) {
        this.foto = foto;
    }

    public Boolean getRegistrado() {
        return registrado;
    }

    public void setRegistrado(Boolean registrado) {
        this.registrado = registrado;
    }

    public Boolean getPremium() {
        return premium;
    }

    public void setPremium(Boolean premium) {
        this.premium = premium;
    }

    public Boolean getActivado() {
        return activado;
    }

    public void setActivado(Boolean activado) {
        this.activado = activado;
    }
}
