package onthestage.es.onthestage.adapters;
/*
        Autor: Carlos Tarazona Tárrega.
        Licencia: Copyright 2018. Se permite el estudio y modificación del fichero citando las fuentes
*/
import android.content.Context;
import android.support.annotation.NonNull;
import android.support.v4.view.PagerAdapter;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.List;

import onthestage.es.onthestage.R;
import onthestage.es.onthestage.utils.AppData;

public class AristaPagerAdapterNoFragment extends PagerAdapter {
    List<String> fotos;
    //LayoutInflater layoutInflater;
    Context context;

    public AristaPagerAdapterNoFragment(Context context, List<String>  fotos) {
        super();
        this.context = context;
        //this.layoutInflater = (LayoutInflater)AppData.context.getSystemService(AppData.context.LAYOUT_INFLATER_SERVICE);
        this.fotos = new ArrayList<String>(fotos);
        if(this.fotos.size()<=0){
            this.fotos.add(AppData.NO_IMAGE);
        }
    }

    @Override
    public int getItemPosition(@NonNull Object object) {
        return super.getItemPosition(object);
    }

    @NonNull
    @Override
    public Object instantiateItem(@NonNull ViewGroup container, int position) {
        View view = LayoutInflater.from(container.getContext()).inflate(R.layout.image_slider2, container, false);
        ImageView ivFotos = (ImageView)view.findViewById(R.id.image);
        TextView tvNumfoto = (TextView)view.findViewById(R.id.tvNumFoto);
        tvNumfoto.setText(""+(position+1)+"/"+fotos.size());
        AppData.getGlide(context,fotos.get(position),ivFotos);
        container.addView(view);
        return view;
    }

    @Override
    public int getCount() {
        return fotos==null ? 0: fotos.size();
    }

    @Override
    public boolean isViewFromObject(@NonNull View view, @NonNull Object object) {
        return view == ((LinearLayout) object);
    }

    @Override
    public void destroyItem(ViewGroup container, int position, Object object) {
        container.removeView((View) object);
    }






}
