package onthestage.es.onthestage.adapters;
/*
        Autor: Carlos Tarazona Tárrega.
        Licencia: Copyright 2018. Se permite el estudio y modificación del fichero citando las fuentes
*/
import android.support.annotation.NonNull;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentPagerAdapter;
import android.support.v4.app.FragmentStatePagerAdapter;

import java.util.ArrayList;
import java.util.List;

import onthestage.es.onthestage.fragments.ArtistaPagerFragment;

public class ArtistaPagerAdapter extends FragmentStatePagerAdapter {
    List<String> fotos;
    public ArtistaPagerAdapter(FragmentManager fm, List<String>  fotos) {
        super(fm);
        this.fotos = new ArrayList<String>(fotos);
    }

    @Override
    public int getCount() {
        return fotos.size();

    }

    @Override
    public int getItemPosition(@NonNull Object object) {
        return super.getItemPosition(object);
    }

    @Override
    public Fragment getItem(int position) {
        Fragment fragment = ArtistaPagerFragment.getInstance(fotos.get(position), fotos.size(), position);
        return  fragment;
    }

    public List<String> getFotos() {
        return fotos;
    }

    public void setFotos(List<String> fotos) {
        this.fotos = fotos;
        notifyDataSetChanged();
    }
}