package onthestage.es.onthestage.fragments;
/*
        Autor: Carlos Tarazona Tárrega.
        Licencia: Copyright 2018. Se permite el estudio y modificación del fichero citando las fuentes
*/
import android.arch.lifecycle.Lifecycle;
import android.os.Bundle;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import onthestage.es.onthestage.R;
import onthestage.es.onthestage.adapters.ArtistaListfromEventAdapter;
import onthestage.es.onthestage.adapters.ArtistaPagerAdapter;
import onthestage.es.onthestage.adapters.EventListAdapter;
import onthestage.es.onthestage.utils.AppData;

public class ArtistaListFragment extends Fragment {
    ArtistaListfromEventAdapter ela;
    RecyclerView mRecyclerView;
    public ArtistaListFragment() {
    }

    public static ArtistaListFragment newInstance(int sectionNumber) {
        ArtistaListFragment artistaListFragment = new ArtistaListFragment();
        Bundle args = new Bundle();
        args.putInt("sasd", sectionNumber);
        artistaListFragment.setArguments(args);
        return artistaListFragment;
    }
    @Override
    public void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }

    @Nullable
    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        View rootView = inflater.inflate(R.layout.artista_list_fragment, container, false);

        mRecyclerView = (RecyclerView) rootView.findViewById(R.id.artista_recycle_view);
        showViews();

        return rootView;

    }

    private void showViews() {
        ela = new ArtistaListfromEventAdapter(getContext(),(AppCompatActivity) getActivity(), AppData.EVENTO.getArtistas());
        mRecyclerView.setHasFixedSize(true);
        mRecyclerView.setAdapter(ela);
        mRecyclerView.setLayoutManager(new LinearLayoutManager(getContext()));
    }
}
