package onthestage.es.onthestage.model;

import java.util.ArrayList;
import java.util.List;

/*
        Autor: Carlos Tarazona Tárrega.
        Licencia: Copyright 2018. Se permite el estudio y modificación del fichero citando las fuentes
*/

public class Local implements User {

    public static final int MAX_FOTOS = 4; //Max number of uploaded photos

    private int id;
    private String nombre;
    private String nlocal;
    private String apellidos;
    private String email;
    private String m_pass;
    private String telf;
    private String direccion;
    private double latitud;
    private double longitud;
    private Horario horario;
    private String web;
    private String descripcion;
    private boolean premium;
    private boolean destacado;
    private Localidad localidad;
    private String fotoperfil;
    private String foto1;
    private String foto2;
    private String foto3;
    private String foto4;
    private boolean activado;
    private boolean registrado;
    private String geo;
    private int tipousuario;
    private String facebook;
    private String instagram;
    private String twitter;
    private boolean esFavorito;

    //Local that not exists

    public Local(String nlocal, String direccion, String web, Localidad localidad) {
        this.nlocal = nlocal;
        this.direccion = direccion;
        this.web = web;
        this.localidad = localidad;
        this.premium = false;
        this.destacado = false;
        this.activado = false;
        this.registrado = false;
    }

    public Local(int id, String nombre, String nlocal, String apellidos, String email,
                 String m_pass, String telf, String direccion, double latitud,
                 double longitud, Horario horario, String web, String descripcion,
                 boolean premium, boolean destacado, Localidad localidad, String fotoperfil,
                 String foto1, String foto2, String foto3, String foto4, boolean activado,
                 boolean registrado, String geo, int tipousuario, String facebook, String instagram,
                 String twitter, boolean esFavorito) {
        this.id = id;
        this.nombre = nombre;
        this.nlocal = nlocal;
        this.apellidos = apellidos;
        this.email = email;
        this.m_pass = m_pass;
        this.telf = telf;
        this.direccion = direccion;
        this.latitud = latitud;
        this.longitud = longitud;
        this.horario = horario;
        this.web = web;
        this.descripcion = descripcion;
        this.premium = premium;
        this.destacado = destacado;
        this.localidad = localidad;
        this.fotoperfil = fotoperfil;
        this.foto1 = foto1;
        this.foto2 = foto2;
        this.foto3 = foto3;
        this.foto4 = foto4;
        this.activado = activado;
        this.registrado = registrado;
        this.geo = geo;
        this.tipousuario = tipousuario;
        this.facebook = facebook;
        this.instagram = instagram;
        this.twitter = twitter;
        this.esFavorito = esFavorito;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public String getNlocal() {
        return nlocal;
    }

    public void setNlocal(String nlocal) {
        this.nlocal = nlocal;
    }

    public String getApellidos() {
        return apellidos;
    }

    public void setApellidos(String apellidos) {
        this.apellidos = apellidos;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getM_pass() {
        return m_pass;
    }

    public void setM_pass(String m_pass) {
        this.m_pass = m_pass;
    }

    public String getDireccion() {
        return direccion;
    }

    public String getTelf() {
        return telf;
    }

    public void setTelf(String telf) {
        this.telf = telf;
    }

    public double getLatitud() {
        return latitud;
    }

    public void setLatitud(double latitud) {
        this.latitud = latitud;
    }

    public double getLongitud() {
        return longitud;
    }

    public void setLongitud(double longitud) {
        this.longitud = longitud;
    }

    public void setDireccion(String direccion) {
        this.direccion = direccion;
    }

    public Horario getHorario() {
        return horario;
    }

    public void setHorario(Horario horario) {
        this.horario = horario;
    }

    public String getWeb() {
        return web;
    }

    public void setWeb(String web) {
        this.web = web;
    }

    public String getDescripcion() {
        return descripcion;
    }

    public void setDescripcion(String descripcion) {
        this.descripcion = descripcion;
    }

    public boolean isPremium() {
        return premium;
    }

    public void setPremium(boolean premium) {
        this.premium = premium;
    }

    public boolean isDestacado() {
        return destacado;
    }

    public void setDestacado(boolean destacado) {
        this.destacado = destacado;
    }

    public Localidad getLocalidad() {
        return localidad;
    }

    public void setLocalidad(Localidad localidad) {
        this.localidad = localidad;
    }

    public String getFotoperfil() {
        return fotoperfil;
    }

    public void setFotoperfil(String fotoperfil) {
        this.fotoperfil = fotoperfil;
    }

    public String getFoto1() {
        return foto1;
    }

    public void setFoto1(String foto1) {
        this.foto1 = foto1;
    }

    public String getFoto2() {
        return foto2;
    }

    public void setFoto2(String foto2) {
        this.foto2 = foto2;
    }

    public String getFoto3() {
        return foto3;
    }

    public void setFoto3(String foto3) {
        this.foto3 = foto3;
    }

    public String getFoto4() {
        return foto4;
    }

    public void setFoto4(String foto4) {
        this.foto4 = foto4;
    }

    public boolean isActivado() {
        return activado;
    }

    public void setActivado(boolean activado) {
        this.activado = activado;
    }

    public boolean isRegistrado() {
        return registrado;
    }

    public void setRegistrado(boolean registrado) {
        this.registrado = registrado;
    }

    public String getGeo() {
        return geo;
    }

    public void setGeo(String geo) {
        this.geo = geo;
    }

    public int getTipousuario() {
        return tipousuario;
    }

    public void setTipousuario(int tipousuario) {
        this.tipousuario = tipousuario;
    }

    public boolean getEsFavorito() {
        return esFavorito;
    }

    public void setEsFavorito(boolean esFavorito) {
        this.esFavorito = esFavorito;
    }

    public String getFacebook() {
        return facebook;
    }

    public void setFacebook(String facebook) {
        this.facebook = facebook;
    }

    public String getInstagram() {
        return instagram;
    }

    public void setInstagram(String instagram) {
        this.instagram = instagram;
    }

    public String getTwitter() {
        return twitter;
    }

    public void setTwitter(String twitter) {
        this.twitter = twitter;
    }

    @Override
    public void getUserInfo() {

    }

    @Override
    public void signIn() {

    }

    @Override
    public void signUp() {

    }

    @Override
    public void modifyData() {

    }

    @Override
    public void getEvents(List<FiltroContent.Filtro> filtros) {

    }

    public List<String> fotosToStringArray(){
        List<String> mFotos = new ArrayList<String>();
        if(this.getFoto1()!=null && !this.getFoto1().equals(""))
        {
            mFotos.add(this.getFoto1());
        }
        if(this.getFoto2()!=null && !this.getFoto2().equals(""))
        {
            mFotos.add(this.getFoto2());
        }
        if(this.getFoto3()!=null && !this.getFoto3().equals(""))
        {
            mFotos.add(this.getFoto3());
        }
        if(this.getFoto4()!=null && !this.getFoto4().equals(""))
        {
            mFotos.add(this.getFoto4());
        }

        return mFotos;

    }
}
