package onthestage.es.onthestage.model;


import onthestage.es.onthestage.utils.AppData;

/*
        Autor: Carlos Tarazona Tárrega.
        Licencia: Copyright 2018. Se permite el estudio y modificación del fichero citando las fuentes
*/

public class Localidad {
    private int id;
    private String descripcion;
    private Provincia provincia;

    public Localidad(int id, String descripcion, Provincia provincia) {
        this.id = id;
        this.descripcion = descripcion;
        this.provincia = provincia;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getDescripcion() {
        return descripcion;
    }

    public void setDescripcion(String descripcion) {
        this.descripcion = descripcion;
    }

    public Provincia getProvincia() {
        return provincia;
    }

    public void setProvincia(Provincia provincia) {
        this.provincia = provincia;
    }

    @Override
    public String toString() {
        return "{\"id':"+this.id+",\"descripcion:\""+this.descripcion+"\",\"provincia\":"+this.provincia.getDescripcion()+"}";

    }

    public Localidad duplicar(){
        Localidad loc= new Localidad(this.id,this.descripcion,this.provincia.duplicar());
        return loc;
    }

}
