package onthestage.es.onthestage.model;
/*
        Autor: Carlos Tarazona Tárrega.
        Licencia: Copyright 2018. Se permite el estudio y modificación del fichero citando las fuentes
*/
import java.util.ArrayList;
import java.util.List;

import onthestage.es.onthestage.Service.GetAsync;
//import onthestage.es.onthestage.Service.HandlerProvincias;
import onthestage.es.onthestage.utils.AppData;

/**
 * Created by usuario on 20/02/2018.
 */

public class Provincia {
    private int id;
    private String descripcion;
    private Comunidad comunidad;

    public Provincia(int id, String descripcion, Comunidad comunidad) {

        this.id = id;
        this.descripcion = descripcion;
        this.comunidad = comunidad;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getDescripcion() {
        return descripcion;
    }

    public void setDescripcion(String descripcion) {
        this.descripcion = descripcion;
    }

    public Comunidad getComunidad() {
        return comunidad;
    }

    public void setComunidad(Comunidad comunidad) {
        this.comunidad = comunidad;
    }

    @Override
    public String toString() {
        return "{\"id':"+this.id+",\"descripcion:\""+this.descripcion+"\",\"comunidad\":"+this.comunidad.getDescripcion()+"}";

    }

    public Provincia duplicar(){
        Provincia provincia= new Provincia(this.id,this.descripcion,this.comunidad.duplicar());
        return provincia;
    }

//    public List<Localidad> getLocalidades(){
//        List<Localidad> localidades = new ArrayList<Localidad>();
//        for(Localidad loc :AppData.LOCALIDADES){
//            if(loc.getProvincia() == this.getId()){
//                localidades.add(loc);
//            }
//        }
//        if(localidades.size()>0)
//            return localidades;
//        else{
//            return null;
//        }
//    }
//
//    public Comunidad getObjComunidad(){
//        Comunidad comunidad = null;
//        for(Comunidad c:AppData.COMUNIDADES){
//            if(c.getId() == this.comunidad){
//                comunidad = c;
//                break;
//            }
//        }
//        return comunidad;
//    }

}
