package onthestage.es.onthestage.sliders;

import android.app.Activity;
import android.content.Context;
import android.graphics.Bitmap;
import android.support.annotation.NonNull;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentPagerAdapter;

import onthestage.es.onthestage.utils.AppData;


/*
        Autor: Carlos Tarazona Tárrega.
        Licencia: Copyright 2018. Se permite el estudio y modificación del fichero citando las fuentes
*/

public class MyPageAdapter extends FragmentPagerAdapter {
    int slider=-1;

    public MyPageAdapter(FragmentManager fm, int slider) {
        super(fm);
        this.slider = slider;
    }

    @Override
    public int getCount() {
        if(slider==AppData.IS_DESTACADO){
            return AppData.EVENTOS_DESTACADOS.size();
        }
        if(slider==AppData.IS_PREMIUM){
            return AppData.ARTISTAS_PREMIUM.size();
        }

        return 0;

    }

    @Override
    public int getItemPosition(@NonNull Object object) {
        return super.getItemPosition(object);
    }

    @Override
    public Fragment getItem(int position) {
        int size = 0;
        if(slider==AppData.IS_DESTACADO){
            size = AppData.EVENTOS_DESTACADOS.size();
        }
        if(slider==AppData.IS_PREMIUM){
            size = AppData.ARTISTAS_PREMIUM.size();
        }
        Fragment fragment = SliderFragment.newSliderFragment(position, slider, size);
        return  fragment;
    }
}
